* {
    box-sizing:border-box;
    -moz-box-sizing:border-box;
    -webkit-box-sizing:border-box;
}
  
html,
body {
    -webkit-text-size-adjust: 100%;
    width:100%;
    height: 100vh;
    padding:0;
    margin:0;
    color: #000000;
    font-family: "Kanit", sans-serif;
    /*
    background-image: url('../img/rbg.png');
    background-repeat: repeat;
    background-size: contain;
    */
}

img {
    width: 100%;
    height: auto;
    user-drag: none;
    -webkit-user-drag: none;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -webkit-touch-callout: none;
}

@media screen and ( min-width: 300px ) {
    .page-container {
        display: block;
        width: 100%;
        padding: 0px;
        margin: 0px auto;
        text-align: center;
        position: relative;
        max-width: 500px;
        min-height: 100vh;
    }

    .page-bg {
        display: block;
        width: 100%;
        position: absolute;
        z-index: 1;
    }

    .page-bg-head {
        display: block;
        width: 100%;
        position: relative;
        z-index: 1;
        line-height: 0px;
        margin: 0px auto;
    }

    .page-content,
    .page-content-02 {
        display: block;
        width: 100%;
        position: absolute;
        z-index: 2;
        padding-bottom: 50px;
        padding-top: 100px;
    }

    .page-content {
        height: 100vh;
    }

    .page-content-02 {
        position: relative;
        background-image: url('../img/bg.png');
        background-position: center;
        background-repeat: repeat-y;
        background-size: cover;
        padding-top: 20px;
        z-index: 2;
    }

    .page-logo {
        display: block;
        width: 80%;
        margin: 0px auto;
        padding: 0px;
    }

    .rule-head {
        display: block;
        width: 70%;
        margin: 20px auto;
    }

    .main-menu {
        display: block;
        position: absolute;
        width: 100%;
        bottom: 6%;
    }

    .top-space-01,
    .top-space-02,
    .top-space-03,
    .top-space-04 {
        display: block;
        width: 100%;
        padding-top: 420px;
    }

    .top-space-02 {
        padding-top: 75px;
    }

    .top-space-03 {
        padding-top: 40px;
    }

    .top-space-04 {
        padding-top: 200px;
    }

    .book-logo {
        display: block;
        width: 80%;
        margin: 0px auto;
    }

    .book-info {
        display: block;
        width: 95%;
        margin: 0px auto;
        text-align: center;
    }

    .input-label {
        display: block;
        width: 100%;
        margin: 10px auto;
        font-size: 16px;
    }

    input[type='text'],
    select {
        display: block;
        width: 70%;
        margin: 0px auto;
        background-color: #ff78ff;
        border: 0px;
        border-radius: 50px;
        font-size: 16px;
        padding: 5px 10px;
        text-align: center;
    }

    select {
        text-align-last: center;
    }

    .round-select {
        display: inline-block;
        width: 40%;
        margin: 5px 5px;
        border-radius: 50px;
        padding: 5px 5px;
        font-size: 9px;
        color: #ffd400;
    }

    .white-color {
        background-color: #ffffff;
    }

    .blue-color {
        background-color: #2b5cff;
    }

    .red-color {
        background-color: #ff0000;
    }

    .yellow-color {
        background-color: #E4E775;;
    }

    .red-txt {
        color: #ffd400;
    }

    .ticket-panel {
        display: block;
        width: 90%;
        margin: 10px auto;
        padding: 20px;
    }

    .ticket-info {
        display: block;
        width: 100%;
        margin: 10px auto;
        font-weight: bold;
        font-size: 20px;
    }

    .qr-panel {
        display: block;
        width: 70%;
        margin: 10px auto;
        position: relative;
        z-index: 2;
    }

    .used-panel,
    .current-info {
        display: block;
        width: 100%;
        position: absolute;
        z-index: 3;
        background-color: #ff0000;
        color: #ffffff;
        font-size: 24px;
        padding: 10px 20px;
        top: 35%;
    }

    .current-info {
        top: 0px;
    }

    .c-panel,
    .a-panel {
        display: block;
        width: 100%;
        margin: 10px auto;
    }

    .c-label,
    .a-label {
        display: inline-block;
        width: 15%;
        text-align: left;
    }

    .a-label {
        width: 30%;
    }

    .c-name ,
    .a-name{
        display: inline-block;
        width: 80%;
        text-align: center;
        background-color: #ff78ff;
        border-radius: 30px;
        color: #ffffff;
        font-weight: bold;
        padding: 3px;
    }

    .a-name {
        width: 65%;
    }

    .remark {
        display: block;
        font-size: 10px;
        text-align: left;
        margin: 20px auto;
    }

    .green-btn,
    .blue-btn {
        display: block;
        margin: 10px auto;
        width: 200px;
        color: #ffffff;
        padding: 0px;
        text-decoration: none;
        line-height: 0px;
    }

    .show {
        display: block;
    }

    .hidden {
        display: none;
    }

    .consent-header {
        display: block;
        width: 100%;
        font-weight: bold;
        margin: 10px auto;
    }

    .consent-date,
    .consent-detail {
        display: block;
        width: 80%;
        margin: 10px auto;
        text-align: left;
        text-decoration: none;
        color: #000000;
        font-size: 12px;
    }

    .consent-date {
        text-align: center;
        font-weight: bold;
        font-size: 14px;
    }

    .consent-detail a {
        text-decoration: none;
        color: #000000;
    }
}